module StellaratorOptimizationMetrics
using Requires
using StaticArrays
using Interpolations
using LinearAlgebra
using Polyester
using Roots
using QuadGK
using DoubleExponentialFormulas

using PlasmaEquilibriumToolkit
using VMEC

const StellOptMetrics = StellaratorOptimizationMetrics
export StellOptMetrics

include("GammaC/GammaC.jl")

function __init__()
    @require StellaratorOptimization="f2f44f23-99b2-4d7c-931e-31858dc08d61" begin
      @require MPI="da04e1cc-30fd-572f-bb4f-1f8673147195" include("stellopt_interface.jl")
    end
end

end
